Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.jena
Class OWLLoader

    java.lang.Object
      org.mindswap.pellet.jena.OWLLoader

    public class OWLLoader

extends java.lang.Object

Field Summary
`static java.util.Map<java.lang.String,java.lang.String>` | `BUILT_IN_NS`
`static QNameProvider` | `qnames`
`static com.hp.hpl.jena.rdf.model.Property[]` | `SKIP_PROPS`
`static com.hp.hpl.jena.rdf.model.Resource[]` | `SKIP_TYPES`

Constructor Summary
`OWLLoader()`

Method Summary
`void` | `clear()`
`aterm.ATermList` | `createList(com.hp.hpl.jena.graph.Node node)`
`aterm.ATermAppl` | `createRestriction(com.hp.hpl.jena.graph.Node node)`
`com.hp.hpl.jena.graph.Graph` | `getGraph()`
`java.util.Set<java.lang.String>` | `getUnpportedFeatures()` Returns the unsupported axioms ignored by the loader.
`java.util.Set<java.lang.String>` | `getWarnings()` Deprecated. Use `getUnpportedFeatures()`
`void` | `load(com.hp.hpl.jena.graph.Graph graph, KnowledgeBase kb)`
`aterm.ATermAppl` | `node2term(com.hp.hpl.jena.graph.Node node)`
`void` | `setGraph(com.hp.hpl.jena.graph.Graph graph)`
`void` | `setProgressMonitor(ProgressMonitor monitor)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUILT_IN_NS

    public static final java.util.Map<java.lang.String,java.lang.String> BUILT_IN_NS

### SKIP_PROPS

    public static final com.hp.hpl.jena.rdf.model.Property[] SKIP_PROPS

### SKIP_TYPES

    public static final com.hp.hpl.jena.rdf.model.Resource[] SKIP_TYPES

### qnames

    public static QNameProvider qnames

Constructor Detail

### OWLLoader

    public OWLLoader()

Method Detail

### setProgressMonitor

    public void setProgressMonitor(ProgressMonitor monitor)

### setGraph

    public void setGraph(com.hp.hpl.jena.graph.Graph graph)

### getGraph

    public com.hp.hpl.jena.graph.Graph getGraph()

### getWarnings

    public java.util.Set<java.lang.String> getWarnings()

  Deprecated. Use `getUnpportedFeatures()`

### getUnpportedFeatures

    public java.util.Set<java.lang.String> getUnpportedFeatures()

  Returns the unsupported axioms ignored by the loader.

  Returns:

### clear

    public void clear()

### createList

    public aterm.ATermList createList(com.hp.hpl.jena.graph.Node node)

### createRestriction

    public aterm.ATermAppl createRestriction(com.hp.hpl.jena.graph.Node node)
                                      throws UnsupportedFeatureException

  Throws:
    `UnsupportedFeatureException`

### node2term

    public aterm.ATermAppl node2term(com.hp.hpl.jena.graph.Node node)

### load

    public void load(com.hp.hpl.jena.graph.Graph graph,
                     KnowledgeBase kb)
              throws UnsupportedFeatureException

  Throws:
    `UnsupportedFeatureException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.